Index: /branches/fault_tolerance/softs/tsar_boot/Makefile
===================================================================
--- /branches/fault_tolerance/softs/tsar_boot/Makefile	(revision 726)
+++ /branches/fault_tolerance/softs/tsar_boot/Makefile	(revision 727)
@@ -90,5 +90,5 @@
 all: $(TARGET)
 
-$(BUILD_DIR)/version.o: $(BUILD_DIR) $(OBJS) version version.sh
+$(BUILD_DIR)/version.o: $(BUILD_DIR) $(OBJS) VERSION version.sh
 	$(ECHO) "[version.sh]"
 	./version.sh > $(BUILD_DIR)/version.c
@@ -143,3 +143,2 @@
 	$(DU) -D $@ > $@.txt
 
-.SILENT:
Index: /branches/fault_tolerance/softs/tsar_boot/version.sh
===================================================================
--- /branches/fault_tolerance/softs/tsar_boot/version.sh	(revision 726)
+++ /branches/fault_tolerance/softs/tsar_boot/version.sh	(revision 727)
@@ -8,13 +8,10 @@
 
 reporev=$(svn info 2>/dev/null)
-if [ $? -eq 0 ];
+if [[ $? > 0 ]];
 then
-    repotype="svn"
-    reporev=$(echo "$reporev" | awk -F: '$1 == "Last Changed Rev" {print $2}')
-else
-    repotype="git"
-    reporev=$(git rev-parse HEAD)
+    reporev=$(git svn info 2>/dev/null)
 fi
 
+reporev=$(echo "$reporev" | awk -F: '$1 == "Last Changed Rev" {print $2}')
 printf "%s" \
-   "const char versionstr[]=\"$n $v ($u@$h $t) ($repotype revision $reporev)\n\r\";"
+   "const char versionstr[]=\"$n $v ($u@$h $t) (svn revision $reporev)\n\r\";"
